Last Comment Bug 790909 - Editing dependencies from the "Change Several Bugs at Once" page does not work as expected (bug IDs are incorrectly parsed)
: Editing dependencies from the "Change Several Bugs at Once" page does not wor...
Status: RESOLVED FIXED
: regression
Product: Bugzilla
Classification: Server Software
Component: Creating/Changing Bugs (show other bugs)
: 4.2.3
: All All
: -- normal (vote)
: Bugzilla 4.0
Assigned To: Frédéric Buclin
: default-qa
:
Mentors:
Depends on: 556167
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-13 03:13 PDT by Klaus Bittrich
Modified: 2012-10-04 08:56 PDT (History)
1 user (show)
LpSolit: approval+
LpSolit: approval4.4+
LpSolit: blocking4.4+
LpSolit: approval4.2+
LpSolit: blocking4.2.4+
LpSolit: approval4.0+
LpSolit: blocking4.0.9+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch, v1 (757 bytes, patch)
2012-09-13 08:26 PDT, Frédéric Buclin
dkl: review+
Details | Diff | Splinter Review

Description Klaus Bittrich 2012-09-13 03:13:33 PDT
User Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.1 (KHTML, like Gecko) Chrome/21.0.1180.79 Safari/537.1

Steps to reproduce:

On a list of bugs choose "Change Several Bugs at Once". Check some bugs to change and enter some valid bug ids in the format 1,2,3 or 1 2 3 in either "Depends On" or "Blocks".


Actual results:

Bugzilla presented an error-page with the error: '1,2,3' is not a valid bug number.


Expected results:

The entered bug ids should have been split in the same way they are split when you edit a single bug.

Currently in process_bug.cgi the depends/blocked ids are split by /\s,/ - so a possible solution could be to split by /[\s,]+/ like every where else.
Comment 1 Frédéric Buclin 2012-09-13 08:25:56 PDT
This is a regression due to bug 556167, which affects 4.0 are newer. Bugzilla 4.0 is restricted to security fixes only, but this is a regression and it's almost impossible to edit dependencies correctly anymore from this page. Also, the fix is trivial and safe.
Comment 2 Frédéric Buclin 2012-09-13 08:26:55 PDT
Created attachment 660850 [details] [diff] [review]
patch, v1
Comment 3 David Lawrence [:dkl] 2012-10-03 12:23:37 PDT
Comment on attachment 660850 [details] [diff] [review]
patch, v1

Review of attachment 660850 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good. r=dkl
Comment 4 Frédéric Buclin 2012-10-04 08:56:28 PDT
Committing to: bzr+ssh://lpsolit%40gmail.com@bzr.mozilla.org/bugzilla/trunk/
modified process_bug.cgi
Committed revision 8412.

Committing to: bzr+ssh://lpsolit%40gmail.com@bzr.mozilla.org/bugzilla/4.4/
modified process_bug.cgi
Committed revision 8407.

Committing to: bzr+ssh://lpsolit%40gmail.com@bzr.mozilla.org/bugzilla/4.2/
modified process_bug.cgi
Committed revision 8145.

Committing to: bzr+ssh://lpsolit%40gmail.com@bzr.mozilla.org/bugzilla/4.0/
modified process_bug.cgi
Committed revision 7726.

Note You need to log in before you can comment on or make changes to this bug.